<div class="mat-dialog-content-container">
    <mat-dialog-content>
        <p *ngIf="data.state=='BEGIN'">
            {{lang.hello}} <b>{{data.user.firstname}} {{data.user.lastname}}</b>, <br/>{{lang.changePasswordInfo}}.
        </p>
        <p *ngIf="data.state=='END'">
            <i class="fa fa-check-circle fa-2x"></i> <span style="padding-left: 10px;">{{lang.passwordChanged}}</span>
        </p>
    </mat-dialog-content>
    <span class="divider-modal"></span>
    <mat-dialog-actions>
        <button mat-raised-button color="primary" (click)="dialogRef.close()" *ngIf="data.state=='BEGIN'">Ok</button>
        <button mat-raised-button color="primary" (click)="redirect()" *ngIf="data.state=='END'">{{lang.homePage}}</button>
    </mat-dialog-actions>
</div>